package com.casic.missiles.modular.sync.service;

import com.casic.missiles.invoke.sync.ReceiveParamsBean;
import com.casic.missiles.modular.system.model.DeptSync;
import com.casic.missiles.modular.system.model.UserSync;

import java.util.List;

public interface ISyncDataService {
    void addUsers(List<UserSync> persons);

    void addDepts(List<DeptSync> orgs);

    /**
     * 初始化推送 或者全量更新数据
     *
     * @param params
     */
    void saveSyncData(ReceiveParamsBean params);

    /**
     * 增量数据同步服务
     *
     * @param params
     */
    void processIncreData(ReceiveParamsBean params);
}
